---
tests.as-root/arm-system-writes-kernel.script | 82 -------------------
.../rootfs-tarball-builds-rootfs-and-kernel.script | 85 ++++++++++++++++++++
2 files changed, 85 insertions(+), 82 deletions(-)
delete mode 100755 tests.as-root/arm-system-writes-kernel.script
create mode 100755 tests.as-root/rootfs-tarball-builds-rootfs-and-kernel.script
diff --git a/tests.as-root/arm-system-writes-kernel.script
b/tests.as-root/arm-system-writes-kernel.script
deleted file mode 100755
index 2f6a5f6..0000000
--- a/tests.as-root/arm-system-writes-kernel.script
+++ /dev/null
@@ -1,82 +0,0 @@
-#!/bin/sh
-#
-# If the system's arch is arm, it should write the kernel to the cache
-#
-# Copyright (C) 2011, 2012 Codethink Limited
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-
-set -eu
-
-cache="$DATADIR/cache/artifacts"
-kernelrepo="$DATADIR/kernel-repo"
-morphsrepo="$DATADIR/morphs-repo"
-log="$DATADIR/morph.log"
-
-cd "$morphsrepo"
-git checkout --quiet -b arm master
-cat <<EOF >arm-system.morph
-{
- "name": "arm-system",
- "kind": "system",
- "system-kind": "syslinux-disk",
- "arch": "arm",
- "disk-size": "1G",
- "strata": [
- "arm-stratum"
- ]
-}
-EOF
-cat <<EOF >arm-stratum.morph
-{
- "name": "arm-stratum",
- "kind": "stratum",
- "sources": [
- {
- "name": "hello",
- "repo": "test:chunk-repo",
- "ref": "farrokh",
- "build-depends": []
- },
- {
- "name": "linux",
- "repo": "test:kernel-repo",
- "ref": "arm",
- "build-depends": ["hello"]
- }
- ]
-}
-EOF
-git add arm-system.morph arm-stratum.morph
-git commit --quiet -m "add arm system"
-
-cd "$kernelrepo"
-git checkout --quiet -b arm master
-cat <<EOF >linux.morph
-{
- "name": "linux",
- "kind": "chunk",
- "install-commands": [
- "mkdir -p \"\$DESTDIR/boot\"",
- "touch \"\$DESTDIR\"/boot/zImage"
- ]
-}
-EOF
-git add linux.morph
-
-git commit --quiet -m 'Make the kernel create a dummy zImage'
-
-"$SRCDIR/scripts/test-morph" \
- build test:morphs-repo arm arm-system.morph > /dev/null
-[ -e "$cache"/*system.arm-system-kernel ] || find "$cache"
diff --git a/tests.as-root/rootfs-tarball-builds-rootfs-and-kernel.script
b/tests.as-root/rootfs-tarball-builds-rootfs-and-kernel.script
new file mode 100755
index 0000000..680bee6
--- /dev/null
+++ b/tests.as-root/rootfs-tarball-builds-rootfs-and-kernel.script
@@ -0,0 +1,85 @@
+#!/bin/sh
+#
+# A system-kind of rootfs-tarball should build both kernel image and
+# a tarball with the root filesystem.
+#
+# Copyright (C) 2011, 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+cache="$DATADIR/cache/artifacts"
+kernelrepo="$DATADIR/kernel-repo"
+morphsrepo="$DATADIR/morphs-repo"
+log="$DATADIR/morph.log"
+
+cd "$morphsrepo"
+git checkout --quiet -b arm master
+cat <<EOF >arm-system.morph
+{
+ "name": "arm-system",
+ "kind": "system",
+ "system-kind": "rootfs-tarball",
+ "arch": "arm",
+ "disk-size": "1G",
+ "strata": [
+ "arm-stratum"
+ ]
+}
+EOF
+cat <<EOF >arm-stratum.morph
+{
+ "name": "arm-stratum",
+ "kind": "stratum",
+ "sources": [
+ {
+ "name": "hello",
+ "repo": "test:chunk-repo",
+ "ref": "farrokh",
+ "build-depends": []
+ },
+ {
+ "name": "linux",
+ "repo": "test:kernel-repo",
+ "ref": "arm",
+ "build-depends": ["hello"]
+ }
+ ]
+}
+EOF
+git add arm-system.morph arm-stratum.morph
+git commit --quiet -m "add arm system"
+
+cd "$kernelrepo"
+git checkout --quiet -b arm master
+cat <<EOF >linux.morph
+{
+ "name": "linux",
+ "kind": "chunk",
+ "install-commands": [
+ "mkdir -p \"\$DESTDIR/boot\"",
+ "touch \"\$DESTDIR\"/boot/zImage"
+ ]
+}
+EOF
+git add linux.morph
+
+git commit --quiet -m 'Make the kernel create a dummy zImage'
+
+"$SRCDIR/scripts/test-morph" \
+ build test:morphs-repo arm arm-system.morph > /dev/null
+[ -e "$cache"/*system.arm-system-kernel ] || find "$cache"
+[ -e "$cache"/*system.arm-system-rootfs ] || find "$cache"
+
--
1.7.2.5